## deepin-font-manager 5.9.6

=== CMakeLists.txt ===
#/*****************************************************************************
#* Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#*
#* Author:     Xiao Zhiguo <xiaozhiguo@uniontech.com>
#* Date:       2020-09-09
#*
#* Maintainer: Xiao Zhiguo <xiaozhiguo@uniontech.com>
#*
#* This program is free software: you can redistribute it and/or modify
#* it under the terms of the GNU General Public License as published by
#* the Free Software Foundation, either version 3 of the License, or
#* any later version.
#*
#* This program is distributed in the hope that it will be useful,
#* but WITHOUT ANY WARRANTY; without even the implied warranty of
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#* GNU General Public License for more details.
#*
#* You should have received a copy of the GNU General Public License
#* along with this program.  If not, see <http://www.gnu.org/licenses/>.
#*
#*****************************************************************************/

CMAKE_MINIMUM_REQUIRED(VERSION 3.7)

PROJECT(font-manager)

IF (NOT DEFINED VERSION)
    SET(VERSION 1.0.0)
ENDIF()

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_EXTENSIONS OFF)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTORCC ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)

FIND_PACKAGE(Qt5 COMPONENTS Core Gui Svg Sql Xml DBus Network REQUIRED)
FIND_PACKAGE(DtkWidget REQUIRED)
FIND_PACKAGE(DtkGui REQUIRED)
FIND_PACKAGE(Freetype REQUIRED)
FIND_PACKAGE(PkgConfig REQUIRED)

#社区版上 MOC 时，会缺少 include 路径 /usr/include，
#暂未找到原因，先手动添加 /usr/include 规避
INCLUDE_DIRECTORIES(/usr/include/)

PKG_SEARCH_MODULE(FontConfig REQUIRED fontconfig IMPORTED_TARGET)
#PKG_SEARCH_MODULE(QGsettings REQUIRED gsettings-qt IMPORTED_TARGET)

#CMAKE 3.14版本才有的模块
#INCLUDE(FindFontconfig)
SET(CMAKE_INSTALL_PREFIX /usr)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall ")

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

IF (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
ENDIF()
IF (CMAKE_BUILD_TYPE MATCHES "Debug")
    # Enable Qt builtin debug mode
    ADD_DEFINITIONS("-DQT_MESSAGELOGCONTEXT")
ENDIF()
ADD_SUBDIRECTORY(deepin-font-manager)
ADD_SUBDIRECTORY(deepin-font-preview-plugin)

#安装帮助手册需要文件
install(DIRECTORY ${CMAKE_SOURCE_DIR}/deepin-font-manager-assets/deepin-font-manager
   DESTINATION /usr/share/deepin-manual/manual-assets/application/)

ADD_SUBDIRECTORY(tests)

=== deepin-font-preview-plugin/CMakeLists.txt ===
#/*****************************************************************************
#* Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#*
#* Author:     Xiao Zhiguo <xiaozhiguo@uniontech.com>
#* Date:       2020-09-11
#*
#* Maintainer: Xiao Zhiguo <xiaozhiguo@uniontech.com>
#*
#* This program is free software: you can redistribute it and/or modify
#* it under the terms of the GNU General Public License as published by
#* the Free Software Foundation, either version 3 of the License, or
#* any later version.
#*
#* This program is distributed in the hope that it will be useful,
#* but WITHOUT ANY WARRANTY; without even the implied warranty of
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#* GNU General Public License for more details.
#*
#* You should have received a copy of the GNU General Public License
#* along with this program.  If not, see <http://www.gnu.org/licenses/>.
#*
#*****************************************************************************/

PKG_SEARCH_MODULE(DeepinFileManager REQUIRED dde-file-manager IMPORTED_TARGET)

#libdeepin-font-manager
SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
FILE(GLOB LIB_SRC_FILES ${LIB_DIR}/*.cpp ${LIB_DIR}/*.h)

FILE(GLOB SRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}*.h)

SET(APP_PLUGIN deepin-font-preview-plugin)
ADD_LIBRARY(${APP_PLUGIN} SHARED "")

TARGET_SOURCES(${APP_PLUGIN} PRIVATE ${SRC_FILES} ${LIB_SRC_FILES})
TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${LIB_DIR})
TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${DeepinFileManager_INCLUDE_DIRS})
TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
TARGET_LINK_LIBRARIES(${APP_PLUGIN} PRIVATE ${FREETYPE_LIBRARIES} PkgConfig::FontConfig
                                            ${DtkWidget_LIBRARIES}  PkgConfig::DeepinFileManager
                                            Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql)

SET(PLUGIN_INSTALL_DIR lib/${CMAKE_LIBRARY_ARCHITECTURE}/dde-file-manager/plugins/previews)
INSTALL(TARGETS ${APP_PLUGIN} LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

=== tests/CMakeLists.txt ===
#/*****************************************************************************
#* Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#*
#* Author:     Xiao Zhiguo <xiaozhiguo@uniontech.com>
#* Date:       2020-09-09
#*
#* Maintainer: Xiao Zhiguo <xiaozhiguo@uniontech.com>
#*
#* This program is free software: you can redistribute it and/or modify
#* it under the terms of the GNU General Public License as published by
#* the Free Software Foundation, either version 3 of the License, or
#* any later version.
#*
#* This program is distributed in the hope that it will be useful,
#* but WITHOUT ANY WARRANTY; without even the implied warranty of
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#* GNU General Public License for more details.
#*
#* You should have received a copy of the GNU General Public License
#* along with this program.  If not, see <http://www.gnu.org/licenses/>.
#*
#*****************************************************************************/


ADD_COMPILE_OPTIONS(-fno-access-control)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fno-inline")

#使用cmake -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_ON" ..
set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()


FIND_PACKAGE(Qt5Test REQUIRED)
FIND_PACKAGE(GTest REQUIRED)
INCLUDE_DIRECTORIES(${GTEST_INCLUDE_DIRS})

SET(PROJECT_NAME_TEST ${PROJECT_NAME}-test)
#ADD_EXECUTABLE(${PROJECT_NAME_TEST} "")

#libdeepin-font-manager

SET(QRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.qrc)
SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)


#include_directories(third-party/googletest)                           #一下三行添加包含以便测试用例代码的编写
#include_directories(third-party/googletest/googlemock/include)
#include_directories(third-party/googletest/googletest/include)
#add_subdirectory(third-party/googletest)

FILE (GLOB allSource
     ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/views/*.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/interfaces/*.cpp
    )

LIST(REMOVE_ITEM allSource "${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/main.cpp")

FILE (GLOB allHeaders
     ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/views/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/interfaces/*.h
     ${CMAKE_CURRENT_SOURCE_DIR}/include/*.h
    )

SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)

FILE(GLOB LIB_SRC_FILES ${LIB_DIR}/*.cpp ${LIB_DIR}/*.h)

#FILE(GLOB_RECURSE FONT_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

FILE(GLOB_RECURSE FONT_SRC_TEST_INTERFACE ${CMAKE_CURRENT_LIST_DIR}/src/deepin-font-manager-test/interfaces/*.cpp)
FILE(GLOB_RECURSE FONT_SRC_TEST_VIEWS ${CMAKE_CURRENT_LIST_DIR}/src/deepin-font-manager-test/views/*.cpp)
FILE(GLOB_RECURSE FONT_SRC_TEST_A ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)


ADD_EXECUTABLE(${PROJECT_NAME_TEST} ${FONT_SRC_TEST_INTERFACE} ${FONT_SRC_TEST_VIEWS} ${FONT_SRC_TEST_A} ${allHeaders} ${allSource} ${LIB_SRC_FILES} ${QRC_FILES})

TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${LIB_DIR})
TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/src/)
TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/)
TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/views)
TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager/interfaces)
TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include)

# 生成测试可执行程序的依赖库
TARGET_LINK_LIBRARIES(${PROJECT_NAME_TEST} gtest gtest_main -pthread)


TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME_TEST} PUBLIC ${DtkWidget_INCLUDE_DIRS}
                           ${DtkCore_INCLUDE_DIRS}
                            ${DtkGui_INCLUDE_DIRS})

TARGET_LINK_LIBRARIES(${PROJECT_NAME_TEST} Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
            Qt5::Test ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
            ${FREETYPE_LIBRARIES} PkgConfig::FontConfig  ${GTEST_LIBRARYS} ${GTEST_MAIN_LIBRARYS})

ADD_CUSTOM_TARGET( test
#    #执行mkdir -p 创建 coverageResult
#    COMMAND mkdir -p test/coverageResult
#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

ADD_CUSTOM_COMMAND(TARGET test
        COMMAND echo " =================== TEST BEGIN ===================="
        COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}
        COMMAND echo " =================== TEST END ===================="
)

##'make test'命令依赖与我们的测试程序
ADD_DEPENDENCIES(test ${PROJECT_NAME_TEST})

=== debian/changelog ===
deepin-font-manager (5.9.6-1) unstable; urgency=medium

  * update

 -- Rekols <rekols@foxmail.com>  Mon, 17 Jan 2022 13:13:53 +0800

deepin-font-manager (0.1-1) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800

## deepin-font-manager 5.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,5 +71,11 @@
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/deepin-font-manager-assets/deepin-font-manager
    DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 
+#代码覆盖率开关
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
+
 ADD_SUBDIRECTORY(tests)

=== deepin-font-manager/CMakeLists.txt ===
#/*****************************************************************************
#* Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#*
#* Author:     Xiao Zhiguo <xiaozhiguo@uniontech.com>
#* Date:       2020-09-11
#*
#* Maintainer: Xiao Zhiguo <xiaozhiguo@uniontech.com>
#*
#* This program is free software: you can redistribute it and/or modify
#* it under the terms of the GNU General Public License as published by
#* the Free Software Foundation, either version 3 of the License, or
#* any later version.
#*
#* This program is distributed in the hope that it will be useful,
#* but WITHOUT ANY WARRANTY; without even the implied warranty of
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#* GNU General Public License for more details.
#*
#* You should have received a copy of the GNU General Public License
#* along with this program.  If not, see <http://www.gnu.org/licenses/>.
#*
#*****************************************************************************/

SET(APP_BIN deepin-font-manager)
ADD_EXECUTABLE(${APP_BIN} "")

#编译翻译文件
SET(TRANSLATE_SHELL ${CMAKE_CURRENT_LIST_DIR}/../deepin-font-manager-assets/translate_generation.sh)
SET(TRANSLATION_DIR ${CMAKE_CURRENT_LIST_DIR}/../translations)
EXECUTE_PROCESS(COMMAND ${TRANSLATE_SHELL} WORKING_DIRECTORY ${TRANSLATION_DIR})
#安装翻译文件
FILE(GLOB TRANSLATION_FILES ${CMAKE_CURRENT_LIST_DIR}/../translations/*.qm)
INSTALL(FILES ${TRANSLATION_FILES} DESTINATION share/${APP_BIN}/translations)

#libdeepin-font-manager
SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
FILE(GLOB LIB_SRC_FILES ${LIB_DIR}/*.cpp ${LIB_DIR}/*.h)
#INSTALL(FILES ${LIB_DIR}/schemas/com.deepin.font-manager.gschema.xml
#        DESTINATION /usr/share/glib-2.0/schemas)
#用deepin-turbo对Dapplication进行加速
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE")
SET(CMAKE_EXE_LINKER_FLAGS "-pie")

#可执行文件
FILE(GLOB SRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/*.h
                    ${CMAKE_CURRENT_SOURCE_DIR}/views/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/views/*.h
                    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.h)

SET(QRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.qrc)
include_directories(${CMAKE_BINARY_DIR}/deepin-font-manager)
CONFIGURE_FILE(environments.h.in environments.h @ONLY)

TARGET_SOURCES(${APP_BIN} PRIVATE ${SRC_FILES} ${QRC_FILES} ${LIB_SRC_FILES})
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${LIB_DIR})
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/views)
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/interfaces)

TARGET_LINK_LIBRARIES(${APP_BIN} PUBLIC Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
                                        ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
                                        ${FREETYPE_LIBRARIES} PkgConfig::FontConfig)

INSTALL(TARGETS ${APP_BIN} RUNTIME DESTINATION bin)

SET(DESKTOP_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.desktop)
INSTALL(FILES ${DESKTOP_FILE} DESTINATION share/applications)

SET(ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.svg)
INSTALL(FILES ${ICON_FILE} DESTINATION share/icons/hicolor/scalable/apps)

SET(PREVIEW_CONTENT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/contents.txt)
INSTALL(FILES ${PREVIEW_CONTENT_FILE} DESTINATION share/${APP_BIN}/)

=== debian/changelog ===
deepin-font-manager (5.9.13-1) unstable; urgency=medium

  * update

 -- Rekols <rekols@foxmail.com>  Fri, 12 Aug 2022 10:50:05 +0800

=== debian/control ===
Source: deepin-font-manager
Section: utils
Priority: optional
Maintainer: Rekols <rekols@foxmail.com>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 cmake,
 libdtkwidget-dev,
 libdtkgui-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libdde-file-manager-dev,
 deepin-gettext-tools,
 libgtest-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-font-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: deepin-font-installer
Conflicts: deepin-font-installer
Description: Deepin Font Manager binary
 Font manager is a powerful font management tool. With Font Manager, you are not only able to search, install, enable, disable and delete fonts among others, but also preview fonts by inputting texts and setting the text size. It supports fonts in ttf, ttc and otf formats.

## deepin-font-manager 5.9.14

=== deepin-font-manager/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

SET(APP_BIN deepin-font-manager)
ADD_EXECUTABLE(${APP_BIN} "")

#编译翻译文件
SET(TRANSLATE_SHELL ${CMAKE_CURRENT_LIST_DIR}/../deepin-font-manager-assets/translate_generation.sh)
SET(TRANSLATION_DIR ${CMAKE_CURRENT_LIST_DIR}/../translations)
EXECUTE_PROCESS(COMMAND ${TRANSLATE_SHELL} WORKING_DIRECTORY ${TRANSLATION_DIR})
#安装翻译文件
FILE(GLOB TRANSLATION_FILES ${CMAKE_CURRENT_LIST_DIR}/../translations/*.qm)
INSTALL(FILES ${TRANSLATION_FILES} DESTINATION share/${APP_BIN}/translations)

#libdeepin-font-manager
SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
FILE(GLOB LIB_SRC_FILES ${LIB_DIR}/*.cpp ${LIB_DIR}/*.h)
#INSTALL(FILES ${LIB_DIR}/schemas/com.deepin.font-manager.gschema.xml
#        DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
#用deepin-turbo对Dapplication进行加速
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

#可执行文件
FILE(GLOB SRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/*.h
                    ${CMAKE_CURRENT_SOURCE_DIR}/views/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/views/*.h
                    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.h)

SET(QRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.qrc)
include_directories(${CMAKE_BINARY_DIR}/deepin-font-manager)
CONFIGURE_FILE(environments.h.in environments.h @ONLY)

TARGET_SOURCES(${APP_BIN} PRIVATE ${SRC_FILES} ${QRC_FILES} ${LIB_SRC_FILES})
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${LIB_DIR})
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/views)
TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/interfaces)

TARGET_LINK_LIBRARIES(${APP_BIN} PUBLIC Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
                                        ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
                                        ${FREETYPE_LIBRARIES} PkgConfig::FontConfig)

INSTALL(TARGETS ${APP_BIN} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

SET(DESKTOP_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.desktop)
INSTALL(FILES ${DESKTOP_FILE} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

SET(ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/deepin-font-manager.svg)
INSTALL(FILES ${ICON_FILE} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)

SET(PREVIEW_CONTENT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-font-manager-assets/contents.txt)
INSTALL(FILES ${PREVIEW_CONTENT_FILE} DESTINATION ${CMAKE_INSTALL_DATADIR}/${APP_BIN}/)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,7 @@
-#/*****************************************************************************
-#* Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
-#*
-#* Author:     Xiao Zhiguo <xiaozhiguo@uniontech.com>
-#* Date:       2020-09-09
-#*
-#* Maintainer: Xiao Zhiguo <xiaozhiguo@uniontech.com>
-#*
-#* This program is free software: you can redistribute it and/or modify
-#* it under the terms of the GNU General Public License as published by
-#* the Free Software Foundation, either version 3 of the License, or
-#* any later version.
-#*
-#* This program is distributed in the hope that it will be useful,
-#* but WITHOUT ANY WARRANTY; without even the implied warranty of
-#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#* GNU General Public License for more details.
-#*
-#* You should have received a copy of the GNU General Public License
-#* along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#*
-#*****************************************************************************/
-
+# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 ADD_COMPILE_OPTIONS(-fno-access-control)
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fno-inline")

=== debian/changelog ===
deepin-font-manager (5.9.14-1) unstable; urgency=medium

  * update

 -- Rekols <rekols@foxmail.com>  Thu, 17 Nov 2022 10:42:21 +0800

deepin-font-manager (5.9.13) unstable; urgency=medium

  * New version 5.9.13.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 29 Aug 2022 10:08:00 +0800

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Package: deepin-font-manager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: uos-reporter, deepin-event-log
 Replaces: deepin-font-installer
 Conflicts: deepin-font-installer
 Description: Deepin Font Manager binary

## deepin-font-manager 6.0.3

=== debian/changelog ===
deepin-font-manager (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 --  fengli<fengli@uniontech.com>  Mon, 27 Nov 2023 13:45:25 +0800

deepin-font-manager (6.0.2) unstable; urgency=medium

  * feat: adapt to compact mode
  * feat: adapt to dde-file-manager preview plugin

 -- fengli<fengli@uniontech.com>  Tue, 24 Oct 2023 11:13:01 +0800

deepin-font-manager (6.0.1) unstable; urgency=medium

  * fix: batch install error from dde-file-manager
  * chore(CI): add obs workflow

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 May 2023 13:05:27 +0800

## deepin-font-manager 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,10 @@
 
 #CMAKE 3.14版本才有的模块
 #INCLUDE(FindFontconfig)
-SET(CMAKE_INSTALL_PREFIX /usr)
+include(GNUInstallDirs)
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif ()
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall ")
 
 #安全编译参数
@@ -63,13 +66,14 @@
 IF (CMAKE_BUILD_TYPE MATCHES "Debug")
     # Enable Qt builtin debug mode
     ADD_DEFINITIONS("-DQT_MESSAGELOGCONTEXT")
+    ADD_SUBDIRECTORY(tests)
 ENDIF()
 ADD_SUBDIRECTORY(deepin-font-manager)
 ADD_SUBDIRECTORY(deepin-font-preview-plugin)
 
 #安装帮助手册需要文件
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/deepin-font-manager-assets/deepin-font-manager
-   DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+   DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
 
 #代码覆盖率开关
 if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
@@ -77,5 +81,4 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
 endif()
 
-ADD_SUBDIRECTORY(tests)

=== deepin-font-preview-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,15 @@
 #*
 #*****************************************************************************/
 
-PKG_SEARCH_MODULE(DeepinFileManager REQUIRED dde-file-manager IMPORTED_TARGET)
+find_package(dfm-base)
+PKG_SEARCH_MODULE(DeepinFileManager dde-file-manager IMPORTED_TARGET)
+if (dfm-base_FOUND)
+    message("dfm-base founded.")
+    add_definitions(-DDFM_BASE)
+elseif(DeepinFileManager_FOUND)
+    message("dde-file-manager founded.")
+endif()
+
 
 #libdeepin-font-manager
 SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
@@ -34,11 +42,30 @@
 
 TARGET_SOURCES(${APP_PLUGIN} PRIVATE ${SRC_FILES} ${LIB_SRC_FILES})
 TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${LIB_DIR})
-TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${DeepinFileManager_INCLUDE_DIRS})
 TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
-TARGET_LINK_LIBRARIES(${APP_PLUGIN} PRIVATE ${FREETYPE_LIBRARIES} PkgConfig::FontConfig
-                                            ${DtkWidget_LIBRARIES}  PkgConfig::DeepinFileManager
-                                            Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql)
+
+if (dfm-base_FOUND)
+    TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${dfm-base_INCLUDE_DIRS})
+elseif(DeepinFileManager_FOUND)
+    TARGET_INCLUDE_DIRECTORIES(${APP_PLUGIN} PRIVATE ${DeepinFileManager_INCLUDE_DIRS})
+endif()
+
+set(LIBS
+    ${FREETYPE_LIBRARIES}
+    PkgConfig::FontConfig
+    ${DtkWidget_LIBRARIES}
+    Qt5::Core
+    Qt5::Widgets
+    Qt5::Gui
+    Qt5::Sql
+    )
+if (dfm-base_FOUND)
+    list(APPEND LIBS dfm-base)
+elseif(dde-file-manager_FOUND)
+    list(APPEND LIBS PkgConfig::DeepinFileManager)
+endif()
+
+TARGET_LINK_LIBRARIES(${APP_PLUGIN} PRIVATE ${LIBS})
 
 SET(PLUGIN_INSTALL_DIR lib/${CMAKE_LIBRARY_ARCHITECTURE}/dde-file-manager/plugins/previews)
 INSTALL(TARGETS ${APP_PLUGIN} LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
deepin-font-manager (6.5.3) unstable; urgency=medium

  * New version 6.5.3

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 17:25:16 +0800

deepin-font-manager (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Slimming down the linglong layer package.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 14:55:16 +0800

deepin-font-manager (6.5.1) unstable; urgency=medium

  * feat: [translation]add transifex config(Task: 361363)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 14:27:30 +0800

deepin-font-manager (6.5.0) unstable; urgency=medium

  * New version 6.5.0
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-font-manager (6.0.4) unstable; urgency=medium

  * changelog 6.0.4

 --  muyuankai<muyuankai@uniontech.com>  Wed, 13 Mar 2024 14:42:45 +0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libqt5svg5-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
- libdde-file-manager-dev,
+ dde-file-manager-dev | libdde-file-manager-dev,
  deepin-gettext-tools,
  libgtest-dev
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DH_AUTO_ARGS = --parallel --buildsystem=cmake

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l$(shell pwd)/debian/dde-sharefiles/usr/share/deepin-font-manager/sharefiles/lib

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## deepin-font-manager 6.5.15

=== deepin-font-preview-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,9 @@
 #*
 #*****************************************************************************/
 
-find_package(dfm-base)
+find_package(dfm${DTK_VERSION}-base)
 PKG_SEARCH_MODULE(DeepinFileManager dde-file-manager IMPORTED_TARGET)
-if (dfm-base_FOUND)
+if (dfm${DTK_VERSION}-base_FOUND)
     message("dfm-base founded.")
     add_definitions(-DDFM_BASE)
 elseif(DeepinFileManager_FOUND)
@@ -53,11 +53,11 @@
 set(LIBS
     ${FREETYPE_LIBRARIES}
     PkgConfig::FontConfig
-    ${DtkWidget_LIBRARIES}
-    Qt5::Core
-    Qt5::Widgets
-    Qt5::Gui
-    Qt5::Sql
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Sql
     )
 if (dfm-base_FOUND)
     list(APPEND LIBS dfm-base)

=== debian/changelog ===
deepin-font-manager (6.5.15) unstable; urgency=medium

  * Update version to 6.5.15.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:22:05 +0800

deepin-font-manager (6.5.14) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:10:05 +0800

deepin-font-manager (6.5.13) unstable; urgency=medium

  * chore: New version 6.5.13.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Apr 2025 18:15:43 +0800

deepin-font-manager (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Apr 2025 15:55:51 +0800

deepin-font-manager (6.5.11) unstable; urgency=medium

  * Bump version to 6.5.11

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:37:44 +0800

deepin-font-manager (6.5.10) unstable; urgency=medium

  * Update version to 6.5.10
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 16:35:32 +0800

deepin-font-manager (6.5.9) unstable; urgency=medium

  * Update version to 6.5.9

 -- wangrong <wangrong@uniontech.com>  Tue, 21 Jan 2025 20:30:30 +0800

deepin-font-manager (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 11:35:40 +0800

deepin-font-manager (6.5.7) unstable; urgency=medium

  * chore: New version 6.5.7.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:07:46 +0800

deepin-font-manager (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:35:52 +0800

deepin-font-manager (6.5.5) unstable; urgency=medium

  * Update version to 6.5.5

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:27:39 +0800

deepin-font-manager (6.5.4) unstable; urgency=medium

  * New version 6.5.4

 -- re2zero <yangwu@uniontech.com>  Sat, 30 Nov 2024 13:58:04 +0800

## deepin-font-manager 6.5.19

=== debian/changelog ===
deepin-font-manager (6.5.19) unstable; urgency=medium

  * chore: New version 6.5.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 17:42:33 +0800

deepin-font-manager (6.5.18) unstable; urgency=medium

  * chore: New version 6.5.18.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 15:45:50 +0800

deepin-font-manager (6.5.17) unstable; urgency=medium

  * chore: New version 6.5.17.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:03:28 +0800

deepin-font-manager (6.5.16) unstable; urgency=medium

  * chore: Add position-independent code flags for CMake

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:23:38 +0800

## deepin-font-manager 6.5.25

=== deepin-font-preview-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,8 @@
     message("dde-file-manager founded.")
 endif()
 
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
 
 #libdeepin-font-manager
 SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)

=== debian/changelog ===
deepin-font-manager (6.5.25) unstable; urgency=medium

  * chore: update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Jul 2025 20:20:48 +0800

deepin-font-manager (6.5.24) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:55:33 +0800

deepin-font-manager (6.5.23) unstable; urgency=medium

  * chore: Update linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 17:24:10 +0800

deepin-font-manager (6.5.22) unstable; urgency=medium

  * chore: Update linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:54:09 +0800

deepin-font-manager (6.5.21) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:21:01 +0800

deepin-font-manager (6.5.20) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 10:44:50 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  debhelper (>= 9),
  pkg-config,
  cmake,
- libdtkwidget-dev,
- libdtkgui-dev,
- qttools5-dev-tools,
- libqt5svg5-dev,
+ libdtk6widget-dev,
+ libdtk6gui-dev,
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
+ qt6-svg-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  dde-file-manager-dev | libdde-file-manager-dev,

## deepin-font-manager 6.5.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,9 +36,14 @@
 SET(CMAKE_AUTORCC ON)
 SET(CMAKE_VERBOSE_MAKEFILE ON)
 
-FIND_PACKAGE(Qt5 COMPONENTS Core Gui Svg Sql Xml DBus Network REQUIRED)
-FIND_PACKAGE(DtkWidget REQUIRED)
-FIND_PACKAGE(DtkGui REQUIRED)
+set(QT_VERSION_MAJOR 6)
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
+endif()
+
+FIND_PACKAGE(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Svg Sql Xml DBus Network LinguistTools REQUIRED)
+FIND_PACKAGE(Dtk${DTK_VERSION}Widget REQUIRED)
+FIND_PACKAGE(Dtk${DTK_VERSION}Gui REQUIRED)
 FIND_PACKAGE(Freetype REQUIRED)
 FIND_PACKAGE(PkgConfig REQUIRED)

=== deepin-font-manager/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,6 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 SET(APP_BIN deepin-font-manager)
-ADD_EXECUTABLE(${APP_BIN} "")
-
-#编译翻译文件
-SET(TRANSLATE_SHELL ${CMAKE_CURRENT_LIST_DIR}/../deepin-font-manager-assets/translate_generation.sh)
-SET(TRANSLATION_DIR ${CMAKE_CURRENT_LIST_DIR}/../translations)
-EXECUTE_PROCESS(COMMAND ${TRANSLATE_SHELL} WORKING_DIRECTORY ${TRANSLATION_DIR})
-#安装翻译文件
-FILE(GLOB TRANSLATION_FILES ${CMAKE_CURRENT_LIST_DIR}/../translations/*.qm)
-INSTALL(FILES ${TRANSLATION_FILES} DESTINATION share/${APP_BIN}/translations)
 
 #libdeepin-font-manager
 SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
@@ -32,15 +23,37 @@
 include_directories(${CMAKE_BINARY_DIR}/deepin-font-manager)
 CONFIGURE_FILE(environments.h.in environments.h @ONLY)
 
+#编译翻译文件
+file(GLOB TS LIST_DIRECTORIES false ../translations/*.ts)
+set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
+qt_create_translation(QM ${SRC_FILES} ${TS})
+ADD_EXECUTABLE(${APP_BIN} ${QM})
+#安装翻译文件
+install(DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/../translations
+    DESTINATION share/${APP_BIN}
+    FILES_MATCHING PATTERN "*.qm")
+
 TARGET_SOURCES(${APP_BIN} PRIVATE ${SRC_FILES} ${QRC_FILES} ${LIB_SRC_FILES})
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${LIB_DIR})
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/views)
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/interfaces)
 
-TARGET_LINK_LIBRARIES(${APP_BIN} PUBLIC Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
-                                        ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
-                                        ${FREETYPE_LIBRARIES} PkgConfig::FontConfig)
+TARGET_LINK_LIBRARIES(${APP_BIN} PUBLIC
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Sql
+    Qt${QT_VERSION_MAJOR}::Xml
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Network
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    ${FREETYPE_LIBRARIES}
+    ${FREETYPE_LIBRARIES}
+    PkgConfig::FontConfig)
 
 INSTALL(TARGETS ${APP_BIN} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif()
 
 
-FIND_PACKAGE(Qt5Test REQUIRED)
+FIND_PACKAGE(Qt${QT_VERSION_MAJOR}Test REQUIRED)
 FIND_PACKAGE(GTest REQUIRED)
 INCLUDE_DIRECTORIES(${GTEST_INCLUDE_DIRS})
 
@@ -80,9 +80,23 @@
                            ${DtkCore_INCLUDE_DIRS}
                             ${DtkGui_INCLUDE_DIRS})
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME_TEST} Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
-            Qt5::Test ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
-            ${FREETYPE_LIBRARIES} PkgConfig::FontConfig  ${GTEST_LIBRARYS} ${GTEST_MAIN_LIBRARYS})
+TARGET_LINK_LIBRARIES(${PROJECT_NAME_TEST}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Sql
+    Qt${QT_VERSION_MAJOR}::Xml
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Network
+    Qt${QT_VERSION_MAJOR}::Test
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Widget
+    ${FREETYPE_LIBRARIES}
+    ${FREETYPE_LIBRARIES}
+    PkgConfig::FontConfig
+    ${GTEST_LIBRARYS}
+    ${GTEST_MAIN_LIBRARYS})
 
 ADD_CUSTOM_TARGET( test
 #    #执行mkdir -p 创建 coverageResult

=== debian/changelog ===
deepin-font-manager (6.5.29) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 11:19:46 +0800

deepin-font-manager (6.5.28) unstable; urgency=medium

  * Update version to 6.5.28. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 21 Aug 2025 19:23:56 +0800

deepin-font-manager (6.5.27) unstable; urgency=medium

  * feat: Update translations for Lao locale (#169)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 15:04:59 +0800

deepin-font-manager (6.5.26) unstable; urgency=medium

  * Update version to 6.5.26. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 17:06:18 +0800

## deepin-font-manager 6.5.30

=== debian/changelog ===
deepin-font-manager (6.5.30) unstable; urgency=medium

  * Update version to 6.5.30. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 23 Oct 2025 20:01:35 +0800
